parameters:
#    rawafed.security.filter.acl.class:  Rawafed\SecurityBundle\Bridge\Doctrine\AclFilter
#    rawafed.security.acl_walker:        Rawafed\SecurityBundle\Bridge\AclFilter
#

services:

#    rawafed.security.filter.acl:
#        class: %rawafed.security.filter.acl.class%
#        arguments: [@doctrine, @security.context, [%rawafed.security.acl_walker%, %security.role_hierarchy.roles%] ]


    rawafed_user.security.user_acl_manager:
        class: Rawafed\SecurityBundle\Service\UserAclManager
        arguments: [ @?security.acl.provider, @doctrine ]

    rawafed.security.listener.security_object_listener:
        class: Rawafed\SecurityBundle\Listener\SecurityObjectListener
        arguments: [ @service_container ]
        tags:
            - { name: kernel.event_listener, event: kernel.controller, method: onKernelController }



#   roles hierarchy loader
    security.role_hierarchy:
        class: Rawafed\SecurityBundle\Loader\UserRolesHierarchyLoader
        arguments: [ %security.role_hierarchy.roles%, @service_container, "%kernel.cache_dir%/rawafed", "%kernel.debug%" ]
##, @doctrine.orm.default_entity_manager
